Mailinglist Archive: opensuse-factory (577 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200205 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 07 Feb 2020 13:00:23 +0000
  • Message-id: <158108042327.16642.15933227239463777795@go-agent-stagingbot-7>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200205

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
Mesa (19.3.2 -> 19.3.3)
Mesa-drivers (19.3.2 -> 19.3.3)
NetworkManager (1.22.4 -> 1.22.6)
aaa_base (84.87+git20200116.59482ba -> 84.87+git20200128.8a17290)
adwaita-qt (1.1.0 -> 1.1.1)
akonadi-contact
amavisd-new
amtk
build (20200124.1 -> 20200131)
crash (7.2.7_k5.4.14_2 -> 7.2.8_k5.4.14_2)
dracut (049+git118.a6090e2f -> 049.1+git119.abf1a408)
dwz
evolution-rss (0.3.95+git.20171129 -> 0.3.96)
flatpak (1.6.0 -> 1.6.1)
gcc9 (9.2.1+r280037 -> 9.2.1+git1022)
gdk-pixbuf
gettext-runtime
gmp
gnome-software
gspell
health-checker (1.3 -> 1.3.1)
highlight (3.54 -> 3.55)
insserv-compat
kdevelop5 (5.4.6 -> 5.5.0)
kdump
kiten
libopenmpt (0.4.9 -> 0.4.11)
libreoffice
libsecret (0.20.0 -> 0.20.1)
libsepol
libvirt
linux-glibc-devel (5.4 -> 5.5)
llvm9
m4
makedumpfile (1.6.6 -> 1.6.7)
mozc (2.18.2612.102 -> 2.23.2815.102)
mtd-utils (2.1.0 -> 2.1.1)
nagios
nano (4.6 -> 4.7)
obs-service-tar_scm (0.10.10.1566390389.9f923f8 -> 0.10.11.1579870213.888e79c)
ocfs2-tools
okteta (0.26.2 -> 0.26.3)
openldap2 (2.4.48 -> 2.4.49)
openssl-1_1
openvpn
orca (3.34.1 -> 3.34.2)
pcsc-cyberjack
perl-DBD-ODBC (1.60 -> 1.61)
perl-Error (0.17028 -> 0.17029)
perl-IO-Stty (0.03 -> 0.04)
perl-Module-Build (0.422900 -> 0.423100)
perl-Set-Object (1.39 -> 1.40)
powertop
pptpd
privoxy
pullin-bcm43xx-firmware
python-argparse-manpage
python-sphinxcontrib-jsmath
python-typed-ast (1.4.0 -> 1.4.1)
rebootmgr
sblim-sfcb
shadow (4.8 -> 4.8.1)
spamassassin (3.4.3 -> 3.4.4)
sqlite3
system-tuning-common-SUSE
thunar (1.8.11 -> 1.8.12)
tmux (3.0a -> 3.1~rc1)
transmission
tre
tuned
valgrind
vorbis-tools
xapps (1.4.8 -> 1.6.10)
xen (4.13.0_04 -> 4.13.0_06)
xtables-addons (3.7_k5.4.14_2 -> 3.8_k5.4.14_2)
ypbind (2.6.1 -> 2.7.2)

=== Details ===

==== Mesa ====
Version update (19.3.2 -> 19.3.3)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- require and check for llvm-devel >= 9 instead of llvm9-devel on
openSUSE
- enabled build of gallium based llvmpipe driver for s390x
(related to jsc#IBM-369, jsc#SLE-7452)
- Update to version 19.3.3
* There's plenty of changes here, but intel, docs, radeonsi,
and aco are the biggest sets of changes.
- supersedes U_0005-radv-Remove-syncobj_handle-variable-in-header.patch
- set optflags also for g++ compiler

==== Mesa-drivers ====
Version update (19.3.2 -> 19.3.3)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- require and check for llvm-devel >= 9 instead of llvm9-devel on
openSUSE
- enabled build of gallium based llvmpipe driver for s390x
(related to jsc#IBM-369, jsc#SLE-7452)
- Update to version 19.3.3
* There's plenty of changes here, but intel, docs, radeonsi,
and aco are the biggest sets of changes.
- supersedes U_0005-radv-Remove-syncobj_handle-variable-in-header.patch
- set optflags also for g++ compiler

==== NetworkManager ====
Version update (1.22.4 -> 1.22.6)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.22.6:
+ Various fixes for the internal DHCP client.
+ Slave devices now do not get created/activated if master is
missing.
+ Fixed 'startup-complete' bug where NetworkManager would reach
the network-online.target even when not all the connections had
been tried.
+ Updated translations.

==== aaa_base ====
Version update (84.87+git20200116.59482ba -> 84.87+git20200128.8a17290)
Subpackages: aaa_base-extras

- Adjust Requires/Requires(pre)/Requires(post)
- Update to version 84.87+git20200128.8a17290:
* Move chkconfig to insserv-compat, as most functionality isn't supported
anymore since we have different solutions with systemd.
* Remove /usr/bin/mkinfodir, not used anywhere anymore

==== adwaita-qt ====
Version update (1.1.0 -> 1.1.1)

- Update to 1.1.1
* Stability fixes

==== akonadi-contact ====
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Remove no longer needed BuildRequires: KF5AkonadiMime (18.04),
Qt5WebEngineWidgets/Qt5WebEngine (17.12) and Grantlee (17.12).
Add some previously implicit KF5 dependencies.

==== amavisd-new ====
Subpackages: amavisd-new-docs

- pwdutils is gone since ages

==== amtk ====
Subpackages: amtk-5-lang libamtk-5-0

- No longer recommend -lang: supplements are in use

==== build ====
Version update (20200124.1 -> 20200131)
Subpackages: build-mkbaselibs build-mkdrpms

- fix regression in && operator handling of rpm spec file parser
- Correctly expand macros defined with %global
- 15.2 config: temporary revert gcrypt preinstall until distro has changed
- factory config: ignore libxtables for iproute2, not needed for ip tool
- Follow upstream rpm changes in regard to logical ops
- Fix macro expansion of lines containing newlines
- add missing header file to avoid compile warnings
- support OBS-Milestone comment for kiwi
- switch to preinstall expansion for factory

==== crash ====
Version update (7.2.7_k5.4.14_2 -> 7.2.8_k5.4.14_2)

- Upgraded the source to version 7.2.8. The previous version was
modified to support newer kernels used in SLE-15-SP2 but was not
complete.
* Includes a fix for kernels that contain:
e0703556644a531e50b5dc61b9f6ea83af5f6604
which introduces symbol namespaces. Without the change then
depending on architecture:
(1) the kernel module symbol list will contain garbage
(2) the session fails during initialization with a dump of
the internal buffer allocation stats followed by the
message "crash: cannot allocate any more memory"
(3) the session fails during initialization with a
segmentation violation (bsc#1162064)
* Includes the merge of the S390x patches since crash 7.2.7
(bsc#1156645/bsc#1161640)
* Source already includes XZ compressed module support, removed:
crash-symbols-add-support-for-XZ.patch
* Refreshed patches that were no longer aligned with source:
crash-allow-use-of-sadump-captured-KASLR-kernel.patch
crash-s390-autodetect-kaslr.patch
crash-sles9-time.patch

==== dracut ====
Version update (049+git118.a6090e2f -> 049.1+git119.abf1a408)

- Update to version 049.1+git119.abf1a408:
* 30convertfs: adopt for SUSE (boo#1158777)

==== dwz ====

- Fix segfault in die_cu [swo#25456].
* dwz-fix-segfault-in-die_cu.patch

==== evolution-rss ====
Version update (0.3.95+git.20171129 -> 0.3.96)
Subpackages: evolution-plugin-rss evolution-plugin-rss-lang

- Update to version 0.3.96:
+ Miscellaneous build fixes (multiple declarations of variables)
+ Fix use-after-free under rss_ep_need_proxy_http()
+ EMailFormatterRSS: Remove unneeded fetch of EWebView content
+ Remove markup from strings in UI files
+ Use Unicode in translatable strings
+ Fix AppStream metainfo validation
+ Don't use legacy path for AppStream metainfo file
+ Replace Bugzilla by Gitlab URL in DOAP file
+ Avoid crash when feed formatting is cancelled
+ Updated translations.
- Change _service file as we now have a proper upstream released
tag that we want to use.
- Drop evolution-rss-use-unicode.patch: Fixed upstream.

==== flatpak ====
Version update (1.6.0 -> 1.6.1)
Subpackages: libflatpak0 system-user-flatpak typelib-1_0-Flatpak-1_0

- Update to version 1.6.1:
+ This is a (mild) security update. Flatpak 1.6.0 added the
ability for an application to request it to be updated, as long
as the new version doesn't require new permissions.
Unfortunately in some special cases, if an app had access to
the home directory, but not the rest of the filesystem it would
still allow a self-update where the new version could access
some files outside the home directory.
+ New permission --device=shm giving access to host /dev/shm, as
needed for jack.
+ Generated correct download size in build-commit-from
+ sub-sandbox now allows the child to share the gpu of the caller
has full device access
+ Fix crash with disabled remotes
+ Fix builds with older versions of glib
+ Updated translations.

==== gcc9 ====
Version update (9.2.1+r280037 -> 9.2.1+git1022)
Subpackages: cpp9 gcc9-c++ gcc9-fortran gcc9-info gcc9-locale gcc9-objc
libasan5 libatomic1 libgcc_s1 libgcc_s1-32bit libgfortran5 libgomp1 libitm1
liblsan0 libobjc4 libquadmath0 libstdc++6 libstdc++6-32bit
libstdc++6-devel-gcc9 libstdc++6-locale libstdc++6-pp-gcc9
libstdc++6-pp-gcc9-32bit libtsan0 libubsan1

- Update to releases/gcc-9 head (83f65674e78d97d27537361de1a9d74067ff228d).
* Includes fix for [gcc#92692]

==== gdk-pixbuf ====
Subpackages: gdk-pixbuf-lang gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- No longer recommend -lang: supplements are in use

==== gettext-runtime ====
Subpackages: gettext-tools libtextstyle0

- Don't disable openmp with qemu, the emulation works now

==== gmp ====
Subpackages: gmp-devel libgmp10 libgmp10-32bit libgmpxx4

- Remove broken packaged libgmp.a just containing LTO bytecode.

==== gnome-software ====
Subpackages: gnome-software-lang

- Apply polkit workaround also for Leap 15.2
bsc#1157928 poo#62762

==== gspell ====
Subpackages: gspell-lang libgspell-1-2 typelib-1_0-Gspell-1

- No longer recommend -lang: supplements are in use

==== health-checker ====
Version update (1.3 -> 1.3.1)
Subpackages: health-checker-plugins-MicroOS

- Update to version 1.3.1
* Support multiple menuentries in GRUB configuration
[gh#kubic-project/health-checker#5]

==== highlight ====
Version update (3.54 -> 3.55)

- Update to version 3.55:
* Improved handling of empty files in xterm256 and truecolor
output (gl#saalen/highlight#147).
* Added EncodingHint attributes to filetypes.conf and language
definitions (gl#saalen/highlight#141).
* CLI: Allowed file paths as --theme and --syntax argument
(gl#saalen/highlight#145).
* GUI: Removed deprecated QTime API call.

==== insserv-compat ====

- Add chkconfig from aaa_base

==== kdevelop5 ====
Version update (5.4.6 -> 5.5.0)
Subpackages: kdevelop5-lang kdevplatform kdevplatform-lang

- Update to 5.5.0
* Improved C++ language support:
+ Fix missing header guard warning for a standalone header
being always present
+ Don't crash when signatures don't match in
AdaptSignatureAssistant
+ Clazy: add configurable predefined checkset selections
+ Clang-tidy: add configurable predefined checkset selections
+ Don't get confused when encountering parse errors in default
args
+ Fix ClangUtils::getDefaultArguments when encountering macros
(kde#369546)
+ Skip clang-provided override items from code completion
+ Unbreak move-into-source for non-class functions
+ Lambda init captures are visited starting with clang 9.0.0
+ Try a bit harder to find types for look-ahead completion
* Welcome page: remove background in active window when plugin is
disabled
* No longer install modeltest.h, not used externally and
deprecated
* Fix "invalid project name" hint not always showing
* Use default scheme option of KColorSchemeManager if available
* Read the global color scheme name from its file
* Fix qmljs comment parsing
* Fix the comment formatting for some Doxygen variants
* Qmakebuilder: remove unused kcfg files
* Fix reformat for long strings
* Introduce shell-embedded message area, to avoid dialog windows
* Clazy, clang-tidy: share code via new private
KDevCompileAnalyzerCommon
* Make tar archives reproducible by setting Pax headers
* Kdevplatform: remove About data feature
* Support for rebasing
* Add a setting to disable the close buttons on tabs
* CMake: Show project name in showConfigureErrorMessage
* TemplatePreview: Enable word-wrap for messagebox and Lines
Policy Label
* Filetemplates: load and show tooltip for custom options
* Pass environment variables from process environment and set up
with flatpak environment
* Remove usage of columns argument in arch detection since old
LTS systems may not have that flag
* Pass the android toolchain file path to CMake as a local file
path not as a URI
* Formatter: Hide KTextEditor minimap for the formatter preview
* Shell: use KAboutPluginDialog in LoadedPluginsDialog
* Mention all fetch project sources in the documentation
(kde#392550)
* Script launcher: add env profile configure dialog button to
config UI (kde#410914)
* Cmake: FindClang: Detect llvm-project.git checkout

==== kdump ====

- kdump-activate-udev-rules-late-during-boot.patch: Activate
kdump udev rules late during boot (bsc#1154837)

==== kiten ====
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Don't use data files from the edict package, they are not
compatible (boo#1162654)

==== libopenmpt ====
Version update (0.4.9 -> 0.4.11)
Subpackages: libmodplug1 libopenmpt0

- Update to 0.4.11:
* The ?date? metadata could contain a bogus date for some older IT files.
* Do not apply global volume ramping from initial global volume when seeking.
* MTM: Sample loop length was off by one.
* PSM: Sample loop length was off by one in most files.
* MOD: Fix initial instrument change with no note playing.

==== libreoffice ====
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Move the animation library to core package bsc#1162152

==== libsecret ====
Version update (0.20.0 -> 0.20.1)
Subpackages: libsecret-1-0 libsecret-lang typelib-1_0-Secret-1

- Update to version 0.20.1:
+ Build fixes.

==== libsepol ====

- Add fnocommon.patch to prevent build failures on gcc10 and
remove_cil_mem_error_handler.patch to prevent build failures due to
leftovers from the removal of cil_mem_error_handler (bsc#1160874)

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- spec: Fix several rpmlint warnings
72ed254b-drop-exec-perms-bashcompletion.patch
- xen: Support setting credit2 scheduler parameters
849052ec-libxl-support-credit2.patch
bsc#1162160
- xen: Inhibit libvirtd shutdown when domains are running
6c1dddaf-libxl-shutdown-inhibit.patch
bsc#1157100

==== linux-glibc-devel ====
Version update (5.4 -> 5.5)

- Update to kernel headers 5.5

==== llvm9 ====
Subpackages: clang9 clang9-checker clang9-doc libLLVM9 libLTO9 libc++-devel
libc++1 libc++abi-devel libc++abi1 libclang9

- Move clang-{format,include-fixer,rename}.{el,py} files from
llvm-*-plugins to clang package. (boo#1161873)
- Drop the now empty llvm-emacs-plugins package.

==== m4 ====

- Enable PGO during build

==== makedumpfile ====
Version update (1.6.6 -> 1.6.7)

- makedumpfile-PN_XNUM.patch: Define PN_XNUM if missing.
- Update to version 1.6.7:
+ Makefile: remove -lebl from LIBS when no libebl.a.
+ Fix compilation warnings on 32-bit system.
+ Support newer kernels up to v5.4.
- Drop makedumpfile-Increase-SECTION_MAP_LAST_BIT-to-4.patch: fixed
upstream.
- Drop libebl-devel BuildRequires: ebl is being absorbed by libdw.

==== mozc ====
Version update (2.18.2612.102 -> 2.23.2815.102)
Subpackages: fcitx-mozc ibus-mozc ibus-mozc-candidate-window mozc-gui-tools

- Upstream update to 2.23.2815
* Do not use mozc_renderer on Wayland session
* Support GYP_DEFINES='enable_gtk_renderer=0'
* Migrate from IBusConfig to GSetting in ibus_mozc
* Update dictionary
* Code refactoring
- Update zip code dictionary to Jan. 2020
- Update gyp
* to the version ready for Python 3
- Update protobuf to 3.5.2
- Update Fcitx Mozc
* Remove: fcitx-mozc-2.18.2612.102.1.patch
* Add: fcitx-mozc-2.23.2815.102.1.patch
- Refresh patches
* add-Japanese-new-era-reiwa-to-date_rewriter.patch
* add-Japanese-new-era-reiwa-to-dict.patch

==== mtd-utils ====
Version update (2.1.0 -> 2.1.1)

- Update to version 2.1.1:
* Features:
- mkfs.ubifs: Add ZSTD compression
* Fixes:
+ ubiformat: Dont ignore sequence number CLI option
+ mkfs.ubifs: fix build without openssl
+ mkfs.ubifs: fix regression when trying to store device special files
+ mkfs.ubifs: fix description of favor_lzo
+ unittests/test_lib: Include proper header for _IOC_SIZE
+ unittests/libmtd_test: Include fcntl header
+ unittests: Define the use of _GNU_SOURCE
+ ubinize: Exit with non-zero exit code on error.
+ mtd-tests: nandbiterrs: Fix issue that just insert error at bit 7
+ ubi-tests: ubi_mkvol_request: Fully initialize 'struct ubi_mkvol_request
req'
+ ubi-tests: io_read: Filter invalid offset value before 'lseek' in io_read
test
+ ubi-tests: mkvol test: Checks return value 'ENOSPC' for 'ubi_mkvol'
+ ubi-tests: fm_param: Replace 'fm_auto' with 'fm_autoconvert'

==== nagios ====
Subpackages: nagios-www

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== nano ====
Version update (4.6 -> 4.7)
Subpackages: nano-lang

- update to 4.7:
* A <Tab> will indent a marked region only when mark/cursor diff
* Two indentations are considered the same when they look the same
* When using ^J, a line will nver be broken in leading whitespace

==== obs-service-tar_scm ====
Version update (0.10.10.1566390389.9f923f8 -> 0.10.11.1579870213.888e79c)
Subpackages: obs-service-obs_scm obs-service-obs_scm-common

- Update to version 0.10.11.1579870213.888e79c:
* Add testcase for appimage with empty build section
* Handle missing build entry in appimage.yml
* Fix --mirror argument position for git clone
* Re-enable compatibility with Python 2.6
* fix decoding for locale -a containg non-ASCII
* update_cache in git now does merge
* prefer local branch over remote
* added UnicodeDecodeError to exeption list in archive.py
* fetch rev explicitly if using CACHEDIRECTORY and rev could not be found
* tar_scm.service.in: Add example to match-tag.

==== ocfs2-tools ====

- Use %license instead of %doc [bsc#1082318]
- Remove obsolete /sbin/chkconfig requires

==== okteta ====
Version update (0.26.2 -> 0.26.3)
Subpackages: libKasten4 libOkteta3 libkasten-lang libokteta-lang okteta-data
okteta-lang

- Update to 0.26.3
* Added: CRC-64 algorithm for the checksum tool
* Improved: install knsrc file at new location with newer KF5
versions
* Improved: use more latest Qt API where possible
* Improved: translations
* Fixed: view profile managing dialog now properly sized default
marker column
* Fixed: store.kde.org access for structure definitions also
works without Plasma being installed

==== openldap2 ====
Version update (2.4.48 -> 2.4.49)
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client
openldap2-devel

- updated to 2.4.49
- removed obsolete back-port patches:
* 0013_openldap-its9124_fix_crash_with_cancel_exop.patch
- removed obsolete source file DB_CONFIG
OpenLDAP 2.4.49 Release (2020/01/30)
Added slapd-monitor database entry count for slapd-mdb (ITS#9154)
Fixed client tools to not add controls on cancel/abandon (ITS#9145)
Fixed client tools SyncInfo message to be LDIF compliant (ITS#8116)
Fixed libldap to correctly free sb (ITS#9081, ITS#8755)
Fixed libldap descriptor leak if ldaps fails (ITS#9147)
Fixed libldap remove unnecessary global mutex for GnuTLS (ITS#9069)
Fixed slapd syntax evaluation of preferredDeliveryMethod (ITS#9067)
Fixed slapd to relax domainScope control check (ITS#9100)
Fixed slapd to have cleaner error handling during connection setup (ITS#9112)
Fixed slapd data check when processing cancel exop (ITS#9124)
Fixed slapd attribute description processing (ITS#9128)
Fixed slapd-ldap to set oldctrls correctly (ITS#9076)
Fixed slapd-mdb to honor unchecked limit with alias deref (ITS#7657)
Fixed slapd-mdb missing final commit with slapindex (ITS#9095)
Fixed slapd-mdb drop attr mappings added in an aborted txn (ITS#9091)
Fixed slapd-mdb nosync FLAG configuration handling (ITS#9150)
Fixed slapd-monitor global operation counter reporting (ITS#9119)
Fixed slapo-ppolicy when used with slapauth (ITS#8629)
Fixed slapo-ppolicy to add a missed normalised copy of pwdChangedTime
(ITS#9126)
Fixed slapo-syncprov fix sessionlog init (ITS#9146)
Fixed slapo-unique loop termination (ITS#9077)
Build Environment
Fix mkdep to honor TMPDIR if set (ITS#9062)
Remove ICU library detection (ITS#9144)
Update config.guess and config.sub to support newer architectures (ITS#7855)
Disable ITS8521 regression test as it is no longer valid (ITS#9015)
Documentation
admin24 - Fix inconsistent whitespace in replication section (ITS#9153)
slapd-config(5)/slapd.conf(5) - Fix missing bold tag for keyword (ITS#9063)
slapd-ldap(5) - Document "tls none" option (ITS#9071)
slapo-ppolicy(5) - Correctly document pwdGraceAuthnLimit (ITS#9065)

==== openssl-1_1 ====
Subpackages: libopenssl-1_1-devel libopenssl1_1 libopenssl1_1-32bit

- Support for CPACF enhancements - part 2 (crypto) [jsc#SLE-7575]
- Add patches:
* openssl-s390x-assembly-pack-accelerate-X25519-X448-Ed25519-and-Ed448.patch
* openssl-s390x-fix-x448-and-x448-test-vector-ctime-for-x25519-and-x448.patch
- Temporarily ignore broken OPENSSL_INIT_NO_ATEXIT due to our
layered FIPS initialization (bsc#1161789)
* openssl-fips-ignore_broken_atexit_test.patch
- Import FIPS patches from SLE-15
* openssl-fips-dont_run_FIPS_module_installed.patch
* openssl-fips_mode.patch
* openssl-ship_fips_standalone_hmac.patch
* openssl-fips-clearerror.patch
* openssl-fips-selftests_in_nonfips_mode.patch
- Don't run FIPS power-up self-tests when the checksum files aren't
installed (bsc#1042392)
* add openssl-fips-run_selftests_only_when_module_is_complete.patch
- Import FIPS patches from Fedora (bsc#1157702, jsc#SLE-9553)
* openssl-1.1.1-fips-crng-test.patch
* openssl-1.1.1-fips-post-rand.patch
* openssl-1.1.1-fips.patch
* openssl-1.1.0-issuer-hash.patch
* openssl-1.1.1-evp-kdf.patch
* openssl-1.1.1-ssh-kdf.patch replaces openssl-jsc-SLE-8789-backport_KDF.patch
- keep EVP_KDF functions at version 1.1.1d for backward compatibility
* add openssl-keep_EVP_KDF_functions_version.patch
- Support for CPACF enhancements - part 1 (crypto) [bsc#1152695, jsc#SLE-7861]
- Add patches:
* openssl-s390x-assembly-pack-add-OPENSSL_s390xcap-environment.patch
* openssl-s390x-assembly-pack-add-support-for-pcc-and-kma-inst.patch
* openssl-s390x-assembly-pack-add-OPENSSL_s390xcap-man-page.patch
* openssl-s390x-assembly-pack-update-OPENSSL_s390xcap-3.patch
* openssl-s390xcpuid.pl-fix-comment.patch
* openssl-assembly-pack-accelerate-scalar-multiplication.patch
* openssl-Enable-curve-spefific-ECDSA-implementations-via-EC_M.patch
* openssl-s390x-assembly-pack-accelerate-ECDSA.patch
* openssl-OPENSSL_s390xcap.pod-list-msa9-facility-bit-155.patch
* openssl-s390x-assembly-pack-cleanse-only-sensitive-fields.patch
* openssl-s390x-assembly-pack-fix-OPENSSL_s390xcap-z15-cpu-mas.patch
* openssl-s390x-assembly-pack-fix-msa3-stfle-bit-detection.patch
* openssl-Fix-9bf682f-which-broke-nistp224_method.patch

==== openvpn ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.
- Use %systemd_ordering instead of systemd_requires: in fact,
systemd is not a hard requirement for openvpn. But in case a
system is being installed with systemd, we want systemd to be
there before openvpn is being installed.

==== orca ====
Version update (3.34.1 -> 3.34.2)
Subpackages: orca-lang

- Update to version 3.34.2:
+ Chromium:
- Present alerts upon window activation.
- Improve presentation of list items with markers, including
handling a change in the accessibility tree.
+ Web: Prevent repetition of lines during SayAll for web content.
+ Mouse Review: Ensure we present tooltip for non-focused
objects.
+ General:
- Fix regression in binding commands with the Orca modifier
plus Shift.
- Work around missing object:state-changed:focused event from
GtkTable.
+ Updated translations.

==== pcsc-cyberjack ====

- BuildRequire pkgconfig(udev) instead of udev: allow OBS to
shortcut through -mini flavors.

==== perl-DBD-ODBC ====
Version update (1.60 -> 1.61)

- updated to 1.61
see /usr/share/doc/packages/perl-DBD-ODBC/Changes
1.61 2020-01-30
[BUG FIXES]
Fix 12blob.t test by pali
Fix searching for ODBC libraries in system by pali (#15)
[ENHANCEMENTS]
use PERL_NO_GET_CONTEXT for more performance by markusbeth (#13)
[MISCELLANEOUS]
Fix travis builds for older Perls by pali

==== perl-Error ====
Version update (0.17028 -> 0.17029)

- updated to 0.17029
see /usr/share/doc/packages/perl-Error/Changes
0.17029 2020-01-28
- Rebuild for order of 'NAME' and 'VERSION' sections in the generated
POD documentation (see 0.001004 in
https://metacpan.org/changes/distribution/Pod-Weaver-PluginBundle-SHLOMIF
).
- VERSION used to appear before NAME.

==== perl-IO-Stty ====
Version update (0.03 -> 0.04)

- updated to 0.04
see /usr/share/doc/packages/perl-IO-Stty/Changes
0.04 Sat Jan 18 2020
- Switch to EU::MM
- Address a few deficiencies in the way how the stty() sub processes its
arguments
- Enable testing on Github actions.
0.03 Thu May 6 2010
- Re-vamp IO::Stty to modern layout
- stty.txt moved into POD for module
- stty.pl in docs. Die if no params passed to stty

==== perl-Module-Build ====
Version update (0.422900 -> 0.423100)

- updated to 0.4231
see /usr/share/doc/packages/perl-Module-Build/Changes
0.4231 - Wed Jan 29 08:47:56 CET 2020
- Released 0.42_30 without code changes
0.42_30 - Wed Jul 31 13:15:39 CEST 2019
- Add dependency on ExtUtils::PL2Bat

==== perl-Set-Object ====
Version update (1.39 -> 1.40)

- updated to 1.40
see /usr/share/doc/packages/perl-Set-Object/Changes.pod
=head1 1.40, 2020-01-19
=over
=item *
Fixed perl5.28 regressions (not cperl), for @$set args to other set functions.
(RT #131345). Fixed by adding missing SvGETMAGIC expansions to all args.
=item *
Bumped minimal required perl version to 5.8 for arrayref @$set behavior.
=item *
Fixed the smokers and some author tests.
=back

==== powertop ====
Subpackages: powertop-lang

- No longer recommend -lang: supplements are in use.

==== pptpd ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== privoxy ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== pullin-bcm43xx-firmware ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== python-argparse-manpage ====

- Require python-setuotools: /usr/bin/argparse-manpage does
from pkg_resources import load_entry_point.

==== python-sphinxcontrib-jsmath ====

- Add required suffix to package name for test package. Although
no binary package is created, the OBS blocks any dependent
packages until also the test package has been built (Giveaway:
main and test flavor create the same .src.rpm)

==== python-typed-ast ====
Version update (1.4.0 -> 1.4.1)

- update to version 1.4.1:
* Clean up old build scripts (#123)
* Build artifacts for 3.8 (#127)
* Fix build on cpython (3.9) master branch (#128)

==== rebootmgr ====

- Disable ectd support (no current etcd C-library available)

==== sblim-sfcb ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== shadow ====
Version update (4.8 -> 4.8.1)

- Update to 4.8.1:
* selinux: include stdio
* man: don't suggest making groupmems user-writeable
* Makefile: bail out on error in for loops
* Adding logging of SSH_ORIGINAL_COMMAND to nologin
* add new HOME_MODE login.defs option
* Add tty logging to useradd
* Useradd: make non-executable shell check only a warning
* Update Dutch translation
* user_busy: Do not mistake a regular user process for a namespaced one
* Revert "Honor --sbindir and --bindir for binary installation"
- Remove shadow-4.8-shell-check.patch: included
- Remove shadow-4.8-selinux-include.patch: upstreamed

==== spamassassin ====
Version update (3.4.3 -> 3.4.4)
Subpackages: perl-Mail-SpamAssassin

- update spamassassin to 3.4.4
* In this release, there are bug fixes for two CVEs:
CVE-2020-1931 for Nefarious rule configuration (.cf) files can
be configured to run system commands with warnings.
CVE-2020-1930 for Nefarious rule configuration (.cf) files can
be configured to run system commands with sa-compile.
* Improvements to OLEVBMacro
* Fix for CRLF handling with SpamAssMilter & DKIM
* Small fix for a regexp to provide Perl 5.8.x compatability again
* Increased fns_extrachars default value to 50
* Fixed nosubject and maxhits tflags when sa-compile is used
* Limited the Bayes parsed token count
* Improvements to whitespace trimming

==== sqlite3 ====
Subpackages: libsqlite3-0

- Fix a regression on ppc64be and s390x, found by the fuzzing
tests, add 04885763c4cd00cb-s390-compatibility.patch.
- Adapt some FTS tests to work on big endian archs:
b20503aaf5b6595a-adapt-FTS-tests-for-big-endian.patch

==== system-tuning-common-SUSE ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut through the -mini flavors.

==== thunar ====
Version update (1.8.11 -> 1.8.12)
Subpackages: libthunarx-3-0 thunar-lang

- Update to version 1.8.12
* NULL is the proper sentinel for g_object_new() (bxo#16310)
* Drop timer on finalize (bxo#15305)
* Store column width setting asynchronously and only once (bxo#15305)
* When move to trash fails, ask whether to delete files (bxo#15975)
* Ctrl+Mousewheel does not enlarge/shrink entries
(for detailed list view) (bxo#15936)
* Extra padding for Eject button when scrollbar is visible (bxo#15312)
* Use standard icon instead of custom
* Translation Updates

==== tmux ====
Version update (3.0a -> 3.1~rc1)

- Update to v3.1-rc
* Please see the included CHANGES file

==== transmission ====
Subpackages: transmission-common transmission-gtk transmission-gtk-lang

- No longer recommend -lang: supplements are in use

==== tre ====
Subpackages: agrep libtre5 tre-lang

- remove python2 bindings

==== tuned ====

- Add /etc/dbus-1/system.d directory to file section as done in other
packages (double checked with wicked) to avoid build error:
tuned-2.4.1-9.10.1.noarch.rpm: directories not owned by a package:
- /etc/dbus-1
- /etc/dbus-1/system.d

==== valgrind ====

- Disable %check on %arm as it never passed - boo#1130395

==== vorbis-tools ====
Subpackages: vorbis-tools-lang

- No longer recommend -lang: supplements are in use.

==== xapps ====
Version update (1.4.8 -> 1.6.10)
Subpackages: libxapp1 xapps-common xapps-common-lang

- Update to version 1.6.10
* xapp-status-icon.c: Sync the visible state of the fallback
GtkStatusIcon when it is first created.
* xapp-status-icon.c: Fix the timeout duration for
xapp_status_icon_any_monitors.
- Changes in previous versions since 1.4.8
* xapp-icon-chooser-dialog.c: fix hidpi icon rendering and spacing.
* xapp-status-icon.c: Allow a primary-click to activate appindicator
icons when they have set a 'secondary activate' target. Otherwise,
have primary open the menu as it ordinarily would.
* xapp-status-icon.c: Reposition the menu when part of it would end
up below the workarea of the monitor.
* mate-xapp-status-applet.py: Call widget.show_all() before binding
to the proxy's visible property. The binding is one way only -
local changes can override the state initially set by the proxy.
* mate-xapp-status-applet.py: Add a small margin at either end of
the applet, and allow ctrl-right-clicks anywhere on it, so the user
can bring up the About menu.
* mate-xapp-status-applet.py: Hardcode symbolic icons to 22px.
* Mate applet: Don't use a handle
* mate applet: fix configuring
* mate applet: fix regression in install location
* debian: fixup changed file locations
* mate-xapp-status-applet.py: handle a null icon name correctly.
* test-scripts: have xapp-status-applet sort icons in the same manner
the real applets do (symbolic to the right, then by alpha process name).
* xapp-status-icon.c: Keep an account of button presses so an orphan
release doesn't activate or pop up a menu.
* xapp-status-icon: Track and notify changes in types of support for
the icon - notify when a status icon is picked up by a native applet,
a traditional system tray, or is not being picked up by anything.
* xapp-status-icon.c: Replace g_enum_to_string with a custom function,
this isn't available with lmde's glib.
* xapp-status-icon: Add a function to check for the existence of any
active status applets.
* Implement XAppStatusIcon (gh#linuxmint/xapps#67)
* libxapp: cleanup compile warnings (gh#linuxmint/xapps#69)
* status icons: Add a monitor class for applets - XAppStatusIconMonitor,
(gh#linuxmint/xapps#70)
* test-scripts: add a status-icon-via-libappindicator script.
* xapp-status-icon.c: Remove leftover debug line
* xapp-status-icon: When a menu is provided to XAppStatusIcon, handle
positioning and showing it internally instead of requiring the application
to do it.
* xapp-status-icon.c: Use G_ class macros to cleanup header file, fix
xapp_status_icon_get_menu() (copy/paste error).
* Add some useful build C-flags, fix test script exec bit.
* Add API reference in docs/reference/
* Set theme jekyll-theme-architect
* README: Add link to API reference
* xapp-status-icon.c: Emit 'activate' during fallback status icon activation.
* docs: Generate html automatically
* xapp-icon-chooser-dialog.c: Remove unused variable
* icon chooser dialog: add default_icon property
* icon chooser dialog: add *_add_custom_category () function
* Add a Mate status applet (gh#linuxmint/xapps#72)
* xapp-status-icon.c: Refactor event handling.
* xapp-icon-chooser-dialog.c: prevent segfault on non-existent icon name
(gh#linuxmint/xapps#76)
* IconChooserButton: Add the ability to set the default category
(gh#linuxmint/xapps#77)
* xapp-icon-chooser-button.c: add missing dispose method
(gh#linuxmint/xapps#78)
* mate-xapp-status-applet.py: Make improvements to event handling and widget
appearance during clicks.
* Add a custom install script for installing the generated header file.
* Add i18n for the mate applet.
* mate applet: Add an about window, use more appropriate install locations,
move
build replacement strings to a separate imported file.
* xapp-status-icon.c: During async ops, when checking for cancellation, use
the
error code, as the cancellable may have reset in the interim, but the code
will
be correct.
* status icons: Support multiple icons from the same process.
* Revert "docs: Generate html automatically"
* Add a makedoc script to update docs/reference
* Update reference docs
* xapp-icon-chooser-dialog.c: color the symbolic icons properly and fix hidpi
(gh#linuxmint/xapps#79)
* Update translations
- Rebased xapps-void-return-no-return.patch
- Added mate subpackage for new mate xapp applet

==== xen ====
Version update (4.13.0_04 -> 4.13.0_06)
Subpackages: xen-libs xen-tools xen-tools-domU

- bsc#1159755 - use fixed qemu-3.1 machine type for HVM
qemu4 introduced incompatible changes in pc-i440fx, which revealed
a design bug in 'xenfv'. Live migration from domUs started with
qemu versions prior qemu4 can not be received with qemu4+.
libxl.lock-qemu-machine-for-hvm.patch
- Upstream bug fixes (bsc#1027519)
5de65f84-gnttab-map-always-do-IOMMU-part.patch
5de65fc4-x86-avoid-HPET-use-on-certain-Intel.patch
5e15e03d-sched-fix-S3-resume-with-smt=0.patch
5e16fb6a-x86-clear-per-cpu-stub-page-info.patch
5e1da013-IRQ-u16-is-too-narrow-for-evtchn.patch

==== xtables-addons ====
Version update (3.7_k5.4.14_2 -> 3.8_k5.4.14_2)

- Update to release 3.8
* Support for Linux 5.5
* The xt_geoip_build script now takes DBIP as input

==== ypbind ====
Version update (2.6.1 -> 2.7.2)

- Update to version 2.7.2
- change /run/yp.conf to /run/netconfig/yp.conf
- ypbind-systemd-pre: fix path of second yp.conf
- Update to version 2.7.1
- try /run/yp.conf if /etc/yp.conf does not exist
- strip down /etc/sysconfig/ypbind to a generic option list only


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages